VUSB-ANALYZER(1)

NAME
vusb-analyzer - tool for visualizing logs of USB packets

SYNOPSIS
vusb-analyzer [OPTIONS] LOGFILE [LOGFILE...]

DESCRIPTION
The Virtual USB Analyzer is tool for visualizing logs of USB packets, from hardware or software USB sniffer tools. It's the world's first tool to provide a graphical visualization along with raw hex dumps and high-level protocol analysis.

The Virtual USB Analyzer is not itself a USB sniffer tool. It is just a user interface for visualizing logs. It currently supports two log formats, but it's designed to be easily extensible. With a couple hundred lines of Python code, you can add support for your favorite log format.

The Virtual USB Analyzer was developed at VMware as an efficient way to debug their own USB virtualization stack. They wanted a tool that made it easy to see problems at a glance, and they wanted a way to solve both correctness and performance bugs. As a result, they ended up with what they think is a fairly unique tool. They're excited to have the opportunity to release this tool as open source software.

Supported Log Formats

* Logged USB traffic from debug builds of VMware Fusion, Workstation, or Player. See the tutorial for information on capturing such a log.

* XML logs from the Ellisys USB Explorer 200, a hardware USB 2.0 analyzer.

Features

* Unique graphical timeline view.

* Side-by-side diff mode: visually compare two log files.

* Pluggable log format modules: VMware, Ellisys.

* Pluggable protocol decoders: USB Chapter 9, Bluetooth, Storage, Cypress FX2.

* Packet metrics and filtering tools.

* Whole-bus analysis: analyze multiple devices concurrently.

* Written in Python, with a GTK+ user interface.

* Automatic "tail -f" mode: follow log files as they grow.

* Loads large log files in the background. You can start browsing before the whole file is loaded into memory.

* Automatic decompression of gzipped log files.

OPTIONS

-t  Tail mode, start from the end of a growing log file.

HOMEPAGE
More information about vusb-analyzer, including a tutorial and sample logs, can be found at <http://vusb-analyzer.sourceforge.net/>.

AUTHOR
vusb-analyzer Micah Dowty <micah@vmware.com>.

This manual page was written by Daniel Baumann <daniel@debian.org>, for the Debian project (but may be used by others).